INOTAIL(1)

NAME
inotail - A fast and lightweight version of tail using inotify

SYNOPSIS
inotail [OPTION]... [FILE]...

DESCRIPTION
inotail is a replacement for the 'tail' program found in the base installation of every Linux/UNIX system. It makes use of the inotify infrastructure in recent versions of the Linux kernel to speed up tailing files in the follow mode (the '-f' option). Standard tail polls the file every second by default while inotail listens to special events sent by the kernel through the inotify API to determine whether a file needs to be reread. Note: inotail will not work on systems running a kernel without inotify. To enable inotify, please set CONFIG_INOTIFY=y in your Linux kernel configuration and recompile it.

Currently inotail is not fully compatible to neither POSIX or GNU tail but might be in the future.

OPTIONS

-c N, --bytes=N
    output the last N bytes. If the first character of N is a '+', begin printing with the Nth character from the start of each file.

-f, --follow
    keep the file(s) open and print appended data as the file grows

-n N, --lines=N
    output the last N lines (default: 10) If the first character of N is a '+', begin printing with the Nth line from the start of each file.

-v, --verbose
    print headers with file names

-h, --help
    show help and exit

-V, --version
    show inotail version and exit

AUTHOR

Written by Tobias Klauser <tklauser@distanz.ch>

SEE ALSO

tail(1), inotify(7)